UseAttributeTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.tiles.UseAttributeTag,UseAttributeTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles
Class UseAttributeTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.tiles.UseAttributeTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.Tag

public final class UseAttributeTag
extends javax.servlet.jsp.tagext.TagSupport

Custom tag exposing a component attribute to page.

See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `attributeName` The attribute name to be exposed.
`private java.lang.String` | `classname` Class name of object.
`protected boolean` | `isErrorIgnored` Are errors ignored.
`private int` | `scope` The scope value.
`private java.lang.String` | `scopeName` The scope name.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UseAttributeTag()`

Method Summary
`int` | `doEndTag()` Clean up after processing this enumeration.
`int` | `doStartTag()` Expose the requested attribute from component context.
`java.lang.String` | `getClassname()` Get class name.
`boolean` | `getIgnore()` Get ignore.
`java.lang.String` | `getName()` Get name.
`java.lang.String` | `getScope()` Get scope.
`void` | `release()` Release all allocated resources.
`void` | `setClassname(java.lang.String name)` Set the class name.
`void` | `setIgnore(boolean ignore)` Set ignore.
`void` | `setName(java.lang.String value)` Set name.
`void` | `setScope(java.lang.String scope)` Set the scope.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classname

    private java.lang.String classname

  Class name of object.

### scopeName

    private java.lang.String scopeName

  The scope name.

### scope

    private int scope

  The scope value.

### attributeName

    private java.lang.String attributeName

  The attribute name to be exposed.

### isErrorIgnored

    protected boolean isErrorIgnored

  Are errors ignored. This is the property for attribute 'ignore'. Default value is `false`, which throws an exception. Only "attribute not found" - errors are ignored.

Constructor Detail

### UseAttributeTag

    public UseAttributeTag()

Method Detail

### release

    public void release()

  Release all allocated resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### getClassname

    public java.lang.String getClassname()

  Get class name.

### setClassname

    public void setClassname(java.lang.String name)

  Set the class name.

  Parameters:
    `name` - The new class name.

### setName

    public void setName(java.lang.String value)

  Set name.

### getName

    public java.lang.String getName()

  Get name.

### setScope

    public void setScope(java.lang.String scope)

  Set the scope.

  Parameters:
    `scope` - The new scope.

### getScope

    public java.lang.String getScope()

  Get scope.

### setIgnore

    public void setIgnore(boolean ignore)

  Set ignore.

### getIgnore

    public boolean getIgnore()

  Get ignore.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Expose the requested attribute from component context.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Clean up after processing this enumeration.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation